let
  pbb-nixfiles = fetchGit {
    url = "https://git.petabyte.dev/petabyteboy/nixfiles";
    rev = "ac4f83ecdc2ff1794223c0485ab749cbe399e802";
  };

  qyliss-nixlib = fetchTarball {
    url = "https://git.qyliss.net/nixlib/snapshot/nixlib-e14330c5be9b005d4310cd4dc0d384cff882aedc.tar.zst";
    sha256 = "0nan14ixhdzxxddnckqqhaxhr96yw08rgcmxssddhji6aq5a445j";
  };

in {
  imports = [
    (pbb-nixfiles + "/modules")
  ];

  nixpkgs.overlays = [
    (self: super: {
      pleroma = self.callPackage (pbb-nixfiles + "/pkgs/pleroma") {
        elixir_1_10 = super.elixir;
      };
      dino = self.callPackage (qyliss-nixlib + "/overlays/patches/dino") {
        inherit (super) dino;
      };
    })
  ];
}
