{ nixpkgs ? <nixpkgs>, ... }:

let
  pkgs = import nixpkgs {};
  callPackage = pkgs.lib.callPackageWith (pkgs // newpkgs);

  wasiSrc = fetchGit {
    url = "https://gitlab.infra4future.de/wasi/wasi-rust";
    rev = "356dbc23a3683d134f13156af71baeaa06fb80d1";
  };

  immaeNix = fetchGit {
    url = "https://git.immae.eu/perso/Immae/Config/Nix.git";
    rev = "7ad4966f41db0669a77c7a6ee7f87f0d4e586b0c";
  };

  newpkgs = {
    # package = callPackage ./package {};
    wasi = import wasiSrc { inherit wasiSrc; pkgs = pkgs // newpkgs; };
    peertube = callPackage ./peertube { mylibs = import "${immaeNix}/lib" { inherit pkgs; }; };
    alps = callPackage ./alps {};
  };

in newpkgs
